Package Details: proot 5.1.0-3

Git Clone URL: https://aur.archlinux.org/proot.git (read-only)
Package Base: proot
Description: chroot, mount --bind, and binfmt_misc without privilege/setup
Upstream URL: http://proot.me
Licenses: GPL
Provides: proot
Submitter: alkino
Maintainer: alkino
Last Packager: alkino
Votes: 42
Popularity: 2.083854
First Submitted: 2012-04-20 18:04
Last Updated: 2016-02-12 13:24

Dependencies (3)

Required by (4)

Sources (2)

Latest Comments

VGib commented on 2017-02-10 19:19

Hello,

can you construct the package with make V=1 ? ( https://github.com/proot-me/PRoot/blob/master/src/GNUmakefile )

VGib commented on 2017-02-10 18:13

For those having problem, you can take a look to this solution: https://github.com/proot-me/PRoot/issues/114

alkino commented on 2016-12-07 12:32

Sorry but I can't reproduce.

VGib commented on 2016-11-10 18:51

compile fail on my computer. Here is the log:https://gist.github.com/VGib/f4af56852adf637a48205b28841d7c7d

Daes anybody have an idea?

Regards

VGib

alkino commented on 2015-05-06 10:40

Everything is fixed now.

alkino commented on 2015-02-16 12:53

You're right. It's done ;)

Bfg commented on 2015-02-16 11:27

I believe it needs adding as a dependency libxslt (during compile it ask for xsltproc)

EscapedNull commented on 2015-01-16 14:36

I had to install linux 3.18.2-2 and reboot to get Proot 5.1.0 running, but other than that the package works. Proot still causes segfaults and other anomalies quite often, but the package itself is fine. Thanks for the update!

dbkblk commented on 2014-09-17 12:23

Yes, it works perfectly now ! Thank you !

alkino commented on 2014-09-16 16:42

I update to v4.0.3. Is it better?

dbkblk commented on 2014-09-16 12:39

I cannot compile proot 4.0.0-1 on x64 (needed for xampp). Here is the yaourt log (french) : http://pastebin.com/mdsiWzRv

goowi commented on 2014-08-08 16:57

Package required libxslt to build

goowi commented on 2014-08-08 16:55

Package requires libxslt

alkino commented on 2014-08-03 00:18

Update. Thanks ;)

jokengle commented on 2014-08-02 20:27

Installation requires rst2xml (it is in "python-docutils" package)

goodmen commented on 2014-07-17 09:13

--- PKGBUILD-v3.2.2 2014-07-17 17:10:01.500339944 +0800
+++ PKGBUILD-v4.0.0 2014-07-17 17:12:30.313675229 +0800
@@ -2,7 +2,7 @@

pkgname=proot
_pkgname=PRoot
-pkgver=3.2.2
+pkgver=4.0.0
pkgrel=1
pkgdesc="chroot, mount --bind, and binfmt_misc without privilege/setup"
arch=('i686' 'x86_64')
@@ -11,11 +11,13 @@ license=('GPL')
provides=('proot')
depends=('talloc')
source=(${pkgname}-v${pkgver}.tar.gz::https://github.com/cedric-vincent/${_pkgname}/archive/v${pkgver}.tar.gz)
-sha1sums=('3b6c20ef6d052e23bbf3d1824f578773206a81d8')
+sha1sums=('e9c81d0ee4e6844a2948d4b763f71be2c37e013a')

build() {
cd "${srcdir}"/${_pkgname}-${pkgver}/src
+ make -f GNUmakefile

+ cd "${srcdir}"/${_pkgname}-${pkgver}/doc
make -f GNUmakefile
}

@@ -26,7 +28,16 @@ package() {
install -m755 src/${pkgname} "${pkgdir}"/usr/bin

install -m755 -d "${pkgdir}"/usr/share/man/man1/
- install -m644 doc/${pkgname}.1 "${pkgdir}"/usr/share/man/man1/
+ install -m644 -T doc/proot/man.1 "${pkgdir}"/usr/share/man/man1/${pkgname}.1
+
+ install -m755 -d "${pkgdir}"/usr/share/doc/proot/
+ install -m644 doc/proot/changelog.txt "${pkgdir}"/usr/share/doc/proot
+ install -m644 doc/proot/index.html "${pkgdir}"/usr/share/doc/proot
+ install -m644 doc/proot/manual.txt "${pkgdir}"/usr/share/doc/proot
+ install -m644 doc/proot/roadmap.txt "${pkgdir}"/usr/share/doc/proot
+
+ install -m755 -d "${pkgdir}"/usr/share/doc/proot/stylesheets
+ install -m644 doc/proot/stylesheets/* "${pkgdir}"/usr/share/doc/proot/stylesheets
}

# vim: ft=sh syn=sh et

goodmen commented on 2014-07-17 08:22

v4.0 released:
https://github.com/cedric-vincent/PRoot/releases/tag/v4.0.0

EscapedNull commented on 2014-01-25 00:19

Package works, and has my vote :)

ifschleife commented on 2013-11-15 08:35

Yes, it works. Thank you.

alkino commented on 2013-11-08 13:32

Fixed in the new version ;)

ifschleife commented on 2013-10-17 08:57

Tanks a lot for the precompiled package :)
Let's hope they can fix this soon.

alkino commented on 2013-10-16 21:20

No the problem is with glibc 2.18. I open a bug to the developer. You will be warn if a patch is available.

You can find a precompiled package here :
https://repo.siosm.fr/siosm-aur/proot-3.1-1-x86_64.pkg.tar.xz

Thanks for the report ;)

ifschleife commented on 2013-10-15 13:19

Compilation stops with the following error:
http://pastebin.com/Ji2uY8Xs

I'm using the lts kernel. Could that be the problem?